/**
 * Represents a filter that can be applied to a rectangular array of pixels.
 */
public interface PixelBufferFilter2 {
	/**
	 * @param width			width of the pixel buffer
	 * @param height		height of the pixel buffer
	 * @param inPixels		the input pixel buffer;
	 * 						each element of the array corresponds to one pixel (usually in ARGB format);
	 * 						pixels are arranged in left-to-right, top-to-bottom fashion
	 * @param outPixels		the output pixel buffer
	 */
	public void filter(int width, int height, int[] inPixels, int[] outPixels);
	
	/**
	 * @return			the name of this filter
	 */
	public String toString();
}